IDA SDK

- Main Page
- Header Files
- Classes
- Modules

Modules | Functions
Step tracing
Debugger functions » Tracing

## Detailed Description

Plugins can use these functions to implement a custom tracing engine.

To step trace, IDA activates the step-by-step feature of the processor, and generates a dbg_trace notification after each step in the current thread. This mechanism is currently only available for plugins !

## Modules
| Step trace options
| Flags returned by get_step_trace_options()

## Functions
bool idaapi | is_step_trace_enabled (void)
| Get current state of step tracing. More...
int idaapi | get_step_trace_options (void)
| Get current step tracing options. More...
void idaapi | set_step_trace_options (int options)
| Modify step tracing options. More...
void idaapi | request_set_step_trace_options (int options)
| Post a set_step_trace_options() request.

## Enable/Disable tracing
Enable or disable the step tracing
Type | Synchronous function - available as request
Notification | none (synchronous function)
  Parameters
  enable | true : enable step tracing false : disable step tracing -1 : temporarily disable step tracing (trace-over breakpoints are conserved: these could re-enable step tracing later)
bool idaapi | enable_step_trace (int enable=true)
bool | disable_step_trace (void)
bool idaapi | request_enable_step_trace (int enable=true)
bool | request_disable_step_trace (void)

## Function Documentation

bool idaapi is_step_trace_enabled | ( | void |  | ) |
| inline

Get current state of step tracing.

Type | Synchronous function
Notification | none (synchronous function)

int idaapi get_step_trace_options | ( | void |  | ) |
| inline

Get current step tracing options.

Type | Synchronous function
Notification | none (synchronous function)

Returns
  Step trace options

void idaapi set_step_trace_options | ( | int | options | ) |
| inline

Modify step tracing options.

Type | Synchronous function - available as request
Notification | none (synchronous function)